Create Webhook Subscription
curl --request POST \
--url https://api.catenatelematics.com/v2/notifications/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.catenatelematics.com/v2/notifications/webhooks"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.catenatelematics.com/v2/notifications/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.catenatelematics.com/v2/notifications/webhooks"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.catenatelematics.com/v2/notifications/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.post("https://api.catenatelematics.com/v2/notifications/webhooks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.catenatelematics.com/v2/notifications/webhooks");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.catenatelematics.com/v2/notifications/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"url": "<string>",
"partner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "document.added",
"filters": {
"fleet_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"fleet_refs": [
"<string>"
],
"content": {}
},
"secret": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active"
}{
"code": 400,
"message": "Bad Request",
"detail": "<string>"
}{
"code": 401,
"message": "Unauthorized",
"detail": "<string>"
}{
"code": 403,
"message": "Forbidden",
"detail": "<string>"
}{
"code": 404,
"message": "Not Found",
"detail": "<string>"
}{
"code": 405,
"message": "Method Not Allowed",
"detail": "<string>"
}{
"code": 409,
"message": "Conflict",
"detail": "<string>"
}{
"code": 422,
"message": "Invalid Request Body",
"detail": [
{
"path": "<string>",
"input": "<string>",
"message": "<string>",
"error_type": "<string>"
}
]
}{
"code": 429,
"message": "Too Many Requests",
"detail": {
"retry_after_seconds": 123,
"message": "<string>"
}
}{
"message": "Internal Server Error"
}Webhook Subscriptions
Create Webhook Subscription
Create a new webhook subscription.
POST
/
v2
/
notifications
/
webhooks
Create Webhook Subscription
curl --request POST \
--url https://api.catenatelematics.com/v2/notifications/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.catenatelematics.com/v2/notifications/webhooks"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.catenatelematics.com/v2/notifications/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.catenatelematics.com/v2/notifications/webhooks"
payload := strings.NewReader("{}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}require 'uri'
require 'net/http'
url = URI("https://api.catenatelematics.com/v2/notifications/webhooks")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"
response = http.request(request)
puts response.read_bodyHttpResponse<String> response = Unirest.post("https://api.catenatelematics.com/v2/notifications/webhooks")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{}")
.asString();using RestSharp;
var options = new RestClientOptions("https://api.catenatelematics.com/v2/notifications/webhooks");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
request.AddJsonBody("{}", false);
var response = await client.PostAsync(request);
Console.WriteLine("{0}", response.Content);
<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.catenatelematics.com/v2/notifications/webhooks",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}{
"url": "<string>",
"partner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"event_name": "document.added",
"filters": {
"fleet_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"fleet_refs": [
"<string>"
],
"content": {}
},
"secret": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"deleted_at": "2023-11-07T05:31:56Z",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"webhook_group_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "active"
}{
"code": 400,
"message": "Bad Request",
"detail": "<string>"
}{
"code": 401,
"message": "Unauthorized",
"detail": "<string>"
}{
"code": 403,
"message": "Forbidden",
"detail": "<string>"
}{
"code": 404,
"message": "Not Found",
"detail": "<string>"
}{
"code": 405,
"message": "Method Not Allowed",
"detail": "<string>"
}{
"code": 409,
"message": "Conflict",
"detail": "<string>"
}{
"code": 422,
"message": "Invalid Request Body",
"detail": [
{
"path": "<string>",
"input": "<string>",
"message": "<string>",
"error_type": "<string>"
}
]
}{
"code": 429,
"message": "Too Many Requests",
"detail": {
"retry_after_seconds": 123,
"message": "<string>"
}
}{
"message": "Internal Server Error"
}If the event name ends with ”.*”, it is a catch-all pattern. The API will create one webhook subscription for each action of that resource and return a list of webhooks.
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Body
application/json
Webhook create model
The target URL of the webhook
Required string length:
1 - 2083Enum for webhook events
We need this list to be extensive and specific to avoid customers subscribing to events that don't exist or are not supported.
Available options:
document.added, document.modified, document.*, dvir_log.added, dvir_log.modified, dvir_log.removed, dvir_log.*, driver_safety_event.added, driver_safety_event.modified, driver_safety_event.removed, driver_safety_event.*, driver_vehicle_association.added, driver_vehicle_association.modified, driver_vehicle_association.*, trailer_vehicle_association.added, trailer_vehicle_association.modified, trailer_vehicle_association.*, invitation.created, invitation.rejected, invitation.declined, invitation.viewed, invitation.sent, invitation.accepted, invitation.expired, invitation.deleted, invitation.*, connection.created, connection.staled, connection.*, fleet_connection.created, fleet_connection.*, fleet_info.added, fleet_info.modified, fleet_info.removed, fleet_info.*, share_agreement.created, share_agreement.updated, share_agreement.deleted, share_agreement.*, webhook.created, webhook.updated, webhook.deleted, webhook.staled, webhook.activated, webhook.paused, webhook.*, workflow.added, workflow.modified, workflow.removed, workflow.*, tsp.created, tsp.requested, vehicle.added, vehicle.modified, vehicle.removed, vehicle.*, trailer.added, trailer.modified, trailer.removed, trailer.*, trailer_location.added, trailer_location.modified, trailer_location.*, trailer_status.added, trailer_status.modified, trailer_status.*, execution.created, execution.staled, execution.failed, execution.*, schedule.deactivated, schedule.*, user.added, user.modified, user.removed, user.*, vehicle_location.added, vehicle_location.*, ifta_summary.added, ifta_summary.modified, ifta_summary.removed, ifta_summary.*, hos_availability.added, hos_availability.modified, hos_availability.removed, hos_availability.*, hos_daily_log.added, hos_daily_log.modified, hos_daily_log.*, hos_daily_snapshot.added, hos_daily_snapshot.modified, hos_daily_snapshot.removed, hos_daily_snapshot.*, hos_event.added, hos_event.modified, hos_event.removed, hos_event.*, hos_violation.added, hos_violation.modified, hos_violation.removed, hos_violation.*, engine_log.added, engine_log.modified, engine_log.removed, engine_log.*, engine_status.added, engine_status.modified, engine_status.*, group_message.added, group_message.modified, group_message.*, message.added, message.modified, message.*, fuel_transaction.added, fuel_transaction.modified, fuel_transaction.*, geofence_monitor.created, geofence_monitor.departed, geofence_monitor.arrived, geofence_monitor.completed, geofence_monitor.cancelled, geofence_monitor.expired, geofence_monitor.*, resource_operation.created, resource_operation.succeeded, resource_operation.failed, resource_operation.* Webhook filters
Show child attributes
Show child attributes
The secret used to sign messages
Response
Successful Response
- Webhook · object
- Webhook · object[]
Webhook model
The target URL of the webhook
Required string length:
1 - 2083The ID of the partner that owns the webhook
The event name that triggers the webhook
Available options:
document.added, document.modified, document.*, dvir_log.added, dvir_log.modified, dvir_log.removed, dvir_log.*, driver_safety_event.added, driver_safety_event.modified, driver_safety_event.removed, driver_safety_event.*, driver_vehicle_association.added, driver_vehicle_association.modified, driver_vehicle_association.*, trailer_vehicle_association.added, trailer_vehicle_association.modified, trailer_vehicle_association.*, invitation.created, invitation.rejected, invitation.declined, invitation.viewed, invitation.sent, invitation.accepted, invitation.expired, invitation.deleted, invitation.*, connection.created, connection.staled, connection.*, fleet_connection.created, fleet_connection.*, fleet_info.added, fleet_info.modified, fleet_info.removed, fleet_info.*, share_agreement.created, share_agreement.updated, share_agreement.deleted, share_agreement.*, webhook.created, webhook.updated, webhook.deleted, webhook.staled, webhook.activated, webhook.paused, webhook.*, workflow.added, workflow.modified, workflow.removed, workflow.*, tsp.created, tsp.requested, vehicle.added, vehicle.modified, vehicle.removed, vehicle.*, trailer.added, trailer.modified, trailer.removed, trailer.*, trailer_location.added, trailer_location.modified, trailer_location.*, trailer_status.added, trailer_status.modified, trailer_status.*, execution.created, execution.staled, execution.failed, execution.*, schedule.deactivated, schedule.*, user.added, user.modified, user.removed, user.*, vehicle_location.added, vehicle_location.*, ifta_summary.added, ifta_summary.modified, ifta_summary.removed, ifta_summary.*, hos_availability.added, hos_availability.modified, hos_availability.removed, hos_availability.*, hos_daily_log.added, hos_daily_log.modified, hos_daily_log.*, hos_daily_snapshot.added, hos_daily_snapshot.modified, hos_daily_snapshot.removed, hos_daily_snapshot.*, hos_event.added, hos_event.modified, hos_event.removed, hos_event.*, hos_violation.added, hos_violation.modified, hos_violation.removed, hos_violation.*, engine_log.added, engine_log.modified, engine_log.removed, engine_log.*, engine_status.added, engine_status.modified, engine_status.*, group_message.added, group_message.modified, group_message.*, message.added, message.modified, message.*, fuel_transaction.added, fuel_transaction.modified, fuel_transaction.*, geofence_monitor.created, geofence_monitor.departed, geofence_monitor.arrived, geofence_monitor.completed, geofence_monitor.cancelled, geofence_monitor.expired, geofence_monitor.*, resource_operation.created, resource_operation.succeeded, resource_operation.failed, resource_operation.* Webhook filters
Show child attributes
Show child attributes
The secret used to sign messages
Groups the rows expanded from one catch-all subscription.
The current status of the webhook
Available options:
active, paused, stale, deleted Was this page helpful?